[4.20.2 Binary ] APK Validation Failed ! Oculus SDK version is not 1.0 or newer. — Oculus
Welcome to the Oculus Developer Forums!

Your participation on the forum is subject to the Oculus Code of Conduct.

In general, please be respectful and kind. If you violate the Oculus Code of Conduct, your access to the developer forums may be revoked at the discretion of Oculus staff.

[4.20.2 Binary ] APK Validation Failed ! Oculus SDK version is not 1.0 or newer.

GRADGRGRADGR Posts: 41 Oculus Start Member
Hello! 
This is our first try to upload our app for oculus go and gear vr. Can someone help us?
Thank you!

Comments

  • GRADGRGRADGR Posts: 41 Oculus Start Member
    we did change the min to 21 from 19 ( oculus documentation maybe outdated? ) target 21 ndk-21, Oculus VR plugin.
  • GRADGRGRADGR Posts: 41 Oculus Start Member
    on some guideline fields , documentation asks to check and some other to have unchecked the REMOVE OSIG, on our package only works with unchecked, but still get the same error when uploading on store
  • GRADGRGRADGR Posts: 41 Oculus Start Member
    Same issue when uploading an Emty Project... any help?
  • aussieburgerVRaussieburgerVR Posts: 202 Oculus Start Member
    Hey your screenshot attachment does not appear to be visible? Not sure what the problem could be - which version of the engine are you using?
  • GRADGRGRADGR Posts: 41 Oculus Start Member
    edited September 2018
    [4.20.2 Binary ] APK Validation Failed ! Oculus SDK version is not 1.0 or newer. 
  • GRADGRGRADGR Posts: 41 Oculus Start Member
    edited September 2018


    what i do not get is that, there is no option to build the apk either for GearVR or GO, as i guess it's like that both share the same setup. So choosing Platform is made  with apk submission setting?
  • GRADGRGRADGR Posts: 41 Oculus Start Member
    By Checking REMOVE OCULUS SIGNATURE FILES FROM DISTRIBUTION : i get a package error and it FAILS, ONLY WORKS with UNCHECKED... i hope this info will make it more clear... :smile:
  • GRADGRGRADGR Posts: 41 Oculus Start Member
    Version is Launcher : 4.20.2
  • GRADGRGRADGR Posts: 41 Oculus Start Member
    tried as described here. same results...
    https://developer.oculus.com/documentation/platform/latest/concepts/pgsg-unreal-gsg/

    [am sorry for flooding this post, am trying to give more info]
  • aussieburgerVRaussieburgerVR Posts: 202 Oculus Start Member
    You need to tick: "Package Game Data inside .apk" in the android settings you showed - that might fix it.

    and to answer your question:
    "what i do not get is that, there is no option to build the apk either for GearVR or GO, as i guess it's like that both share the same setup. So choosing Platform is made  with apk submission setting?"

    Yes they share the same apk.

  • GRADGRGRADGR Posts: 41 Oculus Start Member
    edited September 2018
    Nope Packaging inside apk , wont fix it.. :-(
    to add we are using Codework R7, but i dont think this matters, as we also build with R7 on GooglePlay
  • GRADGRGRADGR Posts: 41 Oculus Start Member
    It appears the error is due to trying to build your app as 64bit. Our Platform SDK, and by proxy the entitlement check, is not 64bit compatible. Is it a requirment that your app be 64bit, or can you build as 32bit?

    Regards,

    John (juanoldinho)
    Oculus Developer Support

    ARM64 -> ARM7 solved my issue :-:smile: THANK YOU!!!

  • oak1980oak1980 Posts: 2 Oculus Start Member
    @juanoldinho Any chance the SDK will be 64bit at some point?
Sign In or Register to comment.